Storyden
Auth

O Auth Provider Callback

OAuth2 callback.

POST
/auth/oauth/{oauth_provider}/callback

OAuth2 callback.

Authorization

cookiestoryden-session<token>

Path Parameters

oauth_provider*string

The identifier for an OAuth2 provider such as "twitter".

Request Body

application/json
  1. body
state*string
code*string

Response Body

OK

application/json
  1. response
id*string
Example Request
curl -X POST 'https://example.com/api/auth/oauth/twitter/callback' \  -H 'Content-Type: application/json' \  -d '{  "state": "string",  "code": "string"}'
Example Response
{  "id": "string"}